Sql Virtual Machines - Create Or Update

SQL 仮想マシンを作成または更新します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/{sqlVirtualMachineName}?api-version=2023-10-01

URI パラメーター

名前 / 必須 説明
resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字が区別されます。

sqlVirtualMachineName
path True

string

minLength: 1
maxLength: 64
pattern: ^((?!_)[^\\/"'\[\]:|<>+=;,?*@&]{1,64}(?

SQL 仮想マシンの名前。

subscriptionId
path True

string

minLength: 1

ターゲット サブスクリプションの ID。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 説明
location True

string

リソースが存在する地理的な場所

identity

ResourceIdentity

使用しないでください。 この値は非推奨になります。 サーバーの Azure Active Directory ID。

properties.assessmentSettings

AssessmentSettings

SQL のベスト プラクティスの評価の設定。

properties.autoBackupSettings

AutoBackupSettings

SQL Server の自動バックアップ設定。

properties.autoPatchingSettings

AutoPatchingSettings

SQL 仮想マシンに重要なセキュリティ更新プログラムを適用するための自動修正プログラムの設定。

properties.enableAutomaticUpgrade

boolean

Sql IaaS 拡張機能エージェントの自動アップグレードを有効にします。

properties.keyVaultCredentialSettings

KeyVaultCredentialSettings

キー コンテナーの資格情報の設定。

properties.leastPrivilegeMode

LeastPrivilegeMode

SQL IaaS Agent の最小特権モード。

properties.serverConfigurationsManagementSettings

ServerConfigurationsManagementSettings

SQL Server の構成管理設定。

properties.sqlImageOffer

string

SQL イメージ オファー。 例としては、SQL2016-WS2016、SQL2017-WS2016 などがあります。

properties.sqlImageSku

SqlImageSku

SQL Server エディションの種類。

properties.sqlManagement

SqlManagementMode

SQL Server 管理の種類。 注: このパラメーターは使用されなくなりました。 API は Sql Management を自動的に検出し、使用しないようにします。

properties.sqlServerLicenseType

SqlServerLicenseType

SQL Server ライセンスの種類。

properties.sqlVirtualMachineGroupResourceId

string

この SQL 仮想マシンが属しているか、その一部となる SQL 仮想マシン グループの ARM リソース ID。

properties.storageConfigurationSettings

StorageConfigurationSettings

ストレージ構成設定。

properties.virtualMachineIdentitySettings

VirtualMachineIdentity

Sql IaaS 拡張機能の構成に使用される仮想マシン ID の詳細。

properties.virtualMachineResourceId

string

SQL Marketplace イメージから作成された基になる仮想マシンの ARM リソース ID。

properties.wsfcDomainCredentials

WsfcDomainCredentials

SQL 可用性グループの Windows Server フェールオーバー クラスターを設定するためのドメイン資格情報。

properties.wsfcStaticIp

string

SQL 可用性グループの Windows Server フェールオーバー クラスターを設定するためのドメイン資格情報。

tags

object

リソース タグ。

応答

名前 説明
200 OK

SqlVirtualMachine

リソース 'SqlVirtualMachine' の更新操作が成功しました

201 Created

SqlVirtualMachine

リソース 'SqlVirtualMachine' の作成操作が成功しました

ヘッダー

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Creates or updates a SQL virtual machine and joins it to a SQL virtual machine group.
Creates or updates a SQL virtual machine for Automated Back up Settings with Weekly and Days of the week to run the back up.
Creates or updates a SQL virtual machine for Storage Configuration Settings to EXTEND Data, Log or TempDB storage pool.
Creates or updates a SQL virtual machine for Storage Configuration Settings to NEW Data, Log and TempDB storage pool.
Creates or updates a SQL virtual machine to enable the usage of Virtual Machine managed identity.
Creates or updates a SQL virtual machine with max parameters.
Creates or updates a SQL virtual machine with min parameters.

Creates or updates a SQL virtual machine and joins it to a SQL virtual machine group.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm?api-version=2023-10-01

{
  "location": "northeurope",
  "properties": {
    "sqlVirtualMachineGroupResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachineGroups/testvmgroup",
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm2",
    "wsfcDomainCredentials": {
      "clusterBootstrapAccountPassword": "<Password>",
      "clusterOperatorAccountPassword": "<Password>",
      "sqlServiceAccountPassword": "<Password>"
    },
    "wsfcStaticIp": "10.0.0.7"
  }
}

応答のサンプル

{
  "name": "testvm2",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm2",
  "location": "northeurope",
  "properties": {
    "additionalVmPatch": "WU",
    "enableAutomaticUpgrade": false,
    "leastPrivilegeMode": "Enabled",
    "osType": "Windows",
    "provisioningState": "Updating",
    "sqlImageOffer": "SQL2022-WS2022",
    "sqlImageSku": "Enterprise",
    "sqlManagement": "Full",
    "sqlServerLicenseType": "PAYG",
    "sqlVirtualMachineGroupResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachineGroups/testvmgroup",
    "virtualMachineIdentitySettings": {
      "type": "SystemAssigned"
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm2",
    "wsfcStaticIp": "10.0.0.7"
  }
}
{
  "name": "testvm2",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm2",
  "location": "northeurope",
  "properties": {
    "enableAutomaticUpgrade": true,
    "leastPrivilegeMode": "NotSet",
    "provisioningState": "Provisioning",
    "sqlImageSku": "Unknown",
    "sqlServerLicenseType": "PAYG",
    "sqlVirtualMachineGroupResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachineGroups/testvmgroup",
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm2",
    "wsfcStaticIp": "10.0.0.7"
  }
}

Creates or updates a SQL virtual machine for Automated Back up Settings with Weekly and Days of the week to run the back up.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm?api-version=2023-10-01

{
  "location": "northeurope",
  "properties": {
    "autoBackupSettings": {
      "backupScheduleType": "Manual",
      "backupSystemDbs": true,
      "daysOfWeek": [
        "Monday",
        "Friday"
      ],
      "enable": true,
      "enableEncryption": true,
      "fullBackupFrequency": "Weekly",
      "fullBackupStartTime": 6,
      "fullBackupWindowHours": 11,
      "logBackupFrequency": 10,
      "password": "<Password>",
      "retentionPeriod": 17,
      "storageAccessKey": "<primary storage access key>",
      "storageAccountUrl": "https://teststorage.blob.core.windows.net/",
      "storageContainerName": "testcontainer"
    },
    "autoPatchingSettings": {
      "dayOfWeek": "Sunday",
      "enable": true,
      "maintenanceWindowDuration": 60,
      "maintenanceWindowStartingHour": 2
    },
    "keyVaultCredentialSettings": {
      "enable": false
    },
    "serverConfigurationsManagementSettings": {
      "additionalFeaturesServerConfigurations": {
        "isRServicesEnabled": false
      },
      "sqlConnectivityUpdateSettings": {
        "connectivityType": "PRIVATE",
        "port": 1433,
        "sqlAuthUpdatePassword": "<password>",
        "sqlAuthUpdateUserName": "sqllogin"
      },
      "sqlStorageUpdateSettings": {
        "diskConfigurationType": "NEW",
        "diskCount": 1,
        "startingDeviceId": 2
      },
      "sqlWorkloadTypeUpdateSettings": {
        "sqlWorkloadType": "OLTP"
      }
    },
    "sqlImageSku": "Enterprise",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

応答のサンプル

{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "additionalVmPatch": "WU",
    "enableAutomaticUpgrade": false,
    "leastPrivilegeMode": "Enabled",
    "osType": "Windows",
    "provisioningState": "Updating",
    "sqlImageOffer": "SQL2022-WS2022",
    "sqlImageSku": "Enterprise",
    "sqlManagement": "Full",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineIdentitySettings": {
      "type": "SystemAssigned"
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}
{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "enableAutomaticUpgrade": true,
    "leastPrivilegeMode": "NotSet",
    "provisioningState": "Provisioning",
    "sqlImageSku": "Unknown",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

Creates or updates a SQL virtual machine for Storage Configuration Settings to EXTEND Data, Log or TempDB storage pool.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm?api-version=2023-10-01

{
  "location": "northeurope",
  "properties": {
    "storageConfigurationSettings": {
      "diskConfigurationType": "EXTEND",
      "sqlDataSettings": {
        "luns": [
          2
        ]
      }
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

応答のサンプル

{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "additionalVmPatch": "WU",
    "enableAutomaticUpgrade": true,
    "leastPrivilegeMode": "Enabled",
    "osType": "Windows",
    "provisioningState": "Updating",
    "sqlImageOffer": "SQL2022-WS2022",
    "sqlImageSku": "Enterprise",
    "sqlManagement": "Full",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineIdentitySettings": {
      "type": "SystemAssigned"
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}
{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "enableAutomaticUpgrade": true,
    "leastPrivilegeMode": "NotSet",
    "provisioningState": "Provisioning",
    "sqlImageSku": "Unknown",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

Creates or updates a SQL virtual machine for Storage Configuration Settings to NEW Data, Log and TempDB storage pool.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm?api-version=2023-10-01

{
  "location": "northeurope",
  "properties": {
    "storageConfigurationSettings": {
      "diskConfigurationType": "NEW",
      "sqlDataSettings": {
        "defaultFilePath": "F:\\folderpath\\",
        "luns": [
          0
        ]
      },
      "sqlLogSettings": {
        "defaultFilePath": "G:\\folderpath\\",
        "luns": [
          1
        ]
      },
      "sqlSystemDbOnDataDisk": true,
      "sqlTempDbSettings": {
        "dataFileCount": 8,
        "dataFileSize": 256,
        "dataGrowth": 512,
        "defaultFilePath": "D:\\TEMP",
        "logFileSize": 256,
        "logGrowth": 512
      },
      "storageWorkloadType": "OLTP"
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

応答のサンプル

{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "additionalVmPatch": "WU",
    "enableAutomaticUpgrade": false,
    "leastPrivilegeMode": "Enabled",
    "osType": "Windows",
    "provisioningState": "Updating",
    "sqlImageOffer": "SQL2022-WS2022",
    "sqlImageSku": "Enterprise",
    "sqlManagement": "Full",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineIdentitySettings": {
      "type": "SystemAssigned"
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}
{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "enableAutomaticUpgrade": true,
    "leastPrivilegeMode": "NotSet",
    "provisioningState": "Provisioning",
    "sqlImageSku": "Unknown",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

Creates or updates a SQL virtual machine to enable the usage of Virtual Machine managed identity.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm?api-version=2023-10-01

{
  "location": "northeurope",
  "properties": {
    "virtualMachineIdentitySettings": {
      "type": "UserAssigned",
      "resourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/testrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testvmidentity"
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

応答のサンプル

{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "additionalVmPatch": "WU",
    "enableAutomaticUpgrade": false,
    "leastPrivilegeMode": "Enabled",
    "osType": "Windows",
    "provisioningState": "Updating",
    "sqlImageOffer": "SQL2022-WS2022",
    "sqlImageSku": "Enterprise",
    "sqlManagement": "Full",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineIdentitySettings": {
      "type": "UserAssigned",
      "resourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/testrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testvmidentity"
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}
{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "enableAutomaticUpgrade": true,
    "leastPrivilegeMode": "NotSet",
    "provisioningState": "Provisioning",
    "sqlImageSku": "Unknown",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineIdentitySettings": {
      "type": "UserAssigned",
      "resourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/testrg/providers/Microsoft.ManagedIdentity/userAssignedIdentities/testvmidentity"
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

Creates or updates a SQL virtual machine with max parameters.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm?api-version=2023-10-01

{
  "location": "northeurope",
  "properties": {
    "assessmentSettings": {
      "enable": true,
      "runImmediately": true,
      "schedule": {
        "dayOfWeek": "Sunday",
        "enable": true,
        "monthlyOccurrence": null,
        "startTime": "23:17",
        "weeklyInterval": 1
      }
    },
    "autoBackupSettings": {
      "backupScheduleType": "Manual",
      "backupSystemDbs": true,
      "enable": true,
      "enableEncryption": true,
      "fullBackupFrequency": "Daily",
      "fullBackupStartTime": 6,
      "fullBackupWindowHours": 11,
      "logBackupFrequency": 10,
      "password": "<Password>",
      "retentionPeriod": 17,
      "storageAccessKey": "<primary storage access key>",
      "storageAccountUrl": "https://teststorage.blob.core.windows.net/",
      "storageContainerName": "testcontainer"
    },
    "autoPatchingSettings": {
      "dayOfWeek": "Sunday",
      "enable": true,
      "maintenanceWindowDuration": 60,
      "maintenanceWindowStartingHour": 2
    },
    "enableAutomaticUpgrade": true,
    "keyVaultCredentialSettings": {
      "enable": false
    },
    "leastPrivilegeMode": "Enabled",
    "serverConfigurationsManagementSettings": {
      "additionalFeaturesServerConfigurations": {
        "isRServicesEnabled": false
      },
      "azureAdAuthenticationSettings": {
        "clientId": "11111111-2222-3333-4444-555555555555"
      },
      "sqlConnectivityUpdateSettings": {
        "connectivityType": "PRIVATE",
        "port": 1433,
        "sqlAuthUpdatePassword": "<password>",
        "sqlAuthUpdateUserName": "sqllogin"
      },
      "sqlInstanceSettings": {
        "collation": "SQL_Latin1_General_CP1_CI_AS",
        "isIfiEnabled": true,
        "isLpimEnabled": true,
        "isOptimizeForAdHocWorkloadsEnabled": true,
        "maxDop": 8,
        "maxServerMemoryMB": 128,
        "minServerMemoryMB": 0
      },
      "sqlStorageUpdateSettings": {
        "diskConfigurationType": "NEW",
        "diskCount": 1,
        "startingDeviceId": 2
      },
      "sqlWorkloadTypeUpdateSettings": {
        "sqlWorkloadType": "OLTP"
      }
    },
    "sqlImageSku": "Enterprise",
    "sqlServerLicenseType": "PAYG",
    "storageConfigurationSettings": {
      "diskConfigurationType": "NEW",
      "enableStorageConfigBlade": true,
      "sqlDataSettings": {
        "defaultFilePath": "F:\\folderpath\\",
        "luns": [
          0
        ],
        "useStoragePool": false
      },
      "sqlLogSettings": {
        "defaultFilePath": "G:\\folderpath\\",
        "luns": [
          1
        ],
        "useStoragePool": false
      },
      "sqlSystemDbOnDataDisk": true,
      "sqlTempDbSettings": {
        "dataFileCount": 8,
        "dataFileSize": 256,
        "dataGrowth": 512,
        "defaultFilePath": "D:\\TEMP",
        "logFileSize": 256,
        "logGrowth": 512,
        "luns": [
          2
        ],
        "useStoragePool": false
      },
      "storageWorkloadType": "OLTP"
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

応答のサンプル

{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "additionalVmPatch": "WU",
    "enableAutomaticUpgrade": true,
    "leastPrivilegeMode": "Enabled",
    "osType": "Windows",
    "provisioningState": "Updating",
    "sqlImageOffer": "SQL2022-WS2022",
    "sqlImageSku": "Enterprise",
    "sqlManagement": "Full",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineIdentitySettings": {
      "type": "SystemAssigned"
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}
{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "enableAutomaticUpgrade": true,
    "leastPrivilegeMode": "NotSet",
    "provisioningState": "Provisioning",
    "sqlImageSku": "Unknown",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

Creates or updates a SQL virtual machine with min parameters.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm?api-version=2023-10-01

{
  "location": "northeurope",
  "properties": {
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

応答のサンプル

{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "additionalVmPatch": "WU",
    "enableAutomaticUpgrade": true,
    "leastPrivilegeMode": "Enabled",
    "osType": "Windows",
    "provisioningState": "Updating",
    "sqlImageOffer": "SQL2022-WS2022",
    "sqlImageSku": "Enterprise",
    "sqlManagement": "Full",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineIdentitySettings": {
      "type": "SystemAssigned"
    },
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}
{
  "name": "testvm",
  "type": "Microsoft.SqlVirtualMachine/sqlVirtualMachines",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.SqlVirtualMachine/sqlVirtualMachines/testvm",
  "location": "northeurope",
  "properties": {
    "enableAutomaticUpgrade": true,
    "leastPrivilegeMode": "NotSet",
    "provisioningState": "Provisioning",
    "sqlImageSku": "Unknown",
    "sqlServerLicenseType": "PAYG",
    "virtualMachineResourceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/testrg/providers/Microsoft.Compute/virtualMachines/testvm"
  }
}

定義

名前 説明
AADAuthenticationSettings

SQL VM の AAD 認証を有効にします。

AdditionalFeaturesServerConfigurations

その他の SQL Server 機能の設定。

AdditionalOsPatch

仮想マシンで有効になっている追加の VM 修正プログラム適用ソリューション

AdditionalVmPatch

SQL 仮想マシンで有効または有効にする追加の修正プログラム。

AssessmentDayOfWeek

評価を実行する曜日。

AssessmentSettings

SQL 仮想マシン内のデータベースの SQL ベスト プラクティス評価を構成します。

AutoBackupDaysOfWeek
AutoBackupSettings

SQL 仮想マシン内のデータベースのバックアップを構成します。

AutoPatchingSettings

Windows と SQL のパッチが適用される修正プログラムの適用ウィンドウを設定します。

BackupScheduleType

バックアップ スケジュールの種類。

ConnectivityType

SQL Server 接続オプション。

createdByType

リソースを作成した ID の種類。

DayOfWeek

パッチを適用する曜日。

DiskConfigurationType

SQL Server に適用するディスク構成。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

FullBackupFrequencyType

完全バックアップの頻度。 どちらの場合も、完全バックアップは次のスケジュールされた時間枠の間に開始されます。

IdentityType

ID の種類。 リソースの Azure Active Directory プリンシパルを自動的に作成して割り当てるには、これを "SystemAssigned" に設定します。

KeyVaultCredentialSettings

Azure Key Vault サービスに接続できるように SQL 仮想マシンを構成します。

LeastPrivilegeMode

SQL IaaS Agent の最小特権モード。

OsType

現在の SQL 仮想マシンのオペレーティング システム。

ResourceIdentity

リソースの Azure Active Directory ID 構成。

Schedule

SQL Server の評価スケジュールを設定します。

ServerConfigurationsManagementSettings

接続、ストレージ、ワークロードの設定を行います。

SqlConnectivityUpdateSettings

SQL Server のアクセス レベルとネットワーク ポートの設定を設定します。

SqlImageSku

SQL Server エディションの種類。

SQLInstanceSettings

SQL Server のサーバー/インスタンス レベルの設定を行います。

SqlManagementMode

SQL Server 管理の種類。 注: このパラメーターは使用されなくなりました。 API は Sql Management を自動的に検出し、使用しないようにします。

SqlServerLicenseType

SQL Server ライセンスの種類。

SQLStorageSettings

SQL Server のディスク ストレージ設定を設定します。

SqlStorageUpdateSettings

SQL Server のディスク ストレージ設定を設定します。

SQLTempDbSettings

SQL Server の tempDb ストレージ設定を設定します。

SqlVirtualMachine

SQL 仮想マシン。

SqlWorkloadType

SQL Server ワークロードの種類。

SqlWorkloadTypeUpdateSettings

SQL Server のストレージを最適化するようにワークロードの種類を設定します。

StorageConfigurationSettings

SQL データ、ログ、および TempDb のストレージ構成。

StorageWorkloadType

ストレージ ワークロードの種類。

systemData

リソースの作成と最後の変更に関連するメタデータ。

TroubleshootingAdditionalProperties

SQL VM の追加プロパティのトラブルシューティング。

TroubleshootingScenario

SQL VM のトラブルシューティング シナリオ。

TroubleshootingStatus

この SQL VM での最後のトラブルシューティング操作の状態

UnhealthyReplicaInfo

SQL VM の UnhealthyReplica シナリオ情報のトラブルシューティング。

VirtualMachineIdentity

Sql IaaS 拡張機能の構成に使用される仮想マシン ID の詳細。

VmIdentityType

仮想マシンの ID の種類。 マネージド ID をオプトアウトするには、[なし] を指定します。

WsfcDomainCredentials

SQL 可用性グループの Windows Server フェールオーバー クラスターを設定するためのドメイン資格情報。

AADAuthenticationSettings

SQL VM の AAD 認証を有効にします。

名前 説明
clientId

string

Microsoft Graph API にクエリを実行するマネージド ID のクライアント ID。 空の文字列は、システム割り当てマネージド ID に使用する必要があります

AdditionalFeaturesServerConfigurations

その他の SQL Server 機能の設定。

名前 説明
isRServicesEnabled

boolean

R サービス (SQL 2016 以降) を有効または無効にします。

AdditionalOsPatch

仮想マシンで有効になっている追加の VM 修正プログラム適用ソリューション

説明
WU
WUMU
WSUS

AdditionalVmPatch

SQL 仮想マシンで有効または有効にする追加の修正プログラム。

説明
NotSet
MicrosoftUpdate

AssessmentDayOfWeek

評価を実行する曜日。

説明
Monday
Tuesday
Wednesday
Thursday
Friday
Saturday
Sunday

AssessmentSettings

SQL 仮想マシン内のデータベースの SQL ベスト プラクティス評価を構成します。

名前 説明
enable

boolean

SQL 仮想マシンで SQL ベスト プラクティス評価機能を有効または無効にします。

runImmediately

boolean

SQL 仮想マシンで SQL ベスト プラクティス評価を直ちに実行します。

schedule

Schedule

SQL ベスト プラクティス評価のスケジュール。

AutoBackupDaysOfWeek

説明
Monday
Tuesday
Wednesday
Thursday
Friday
Saturday
Sunday

AutoBackupSettings

SQL 仮想マシン内のデータベースのバックアップを構成します。

名前 説明
backupScheduleType

BackupScheduleType

バックアップ スケジュールの種類。

backupSystemDbs

boolean

システム データベースを自動バックアップに含めるか、自動バックアップから除外します。

daysOfWeek

AutoBackupDaysOfWeek[]

FullBackupFrequency が [週単位] に設定されている場合のバックアップの曜日。

enable

boolean

SQL 仮想マシンでの自動バックを有効または無効にします。

enableEncryption

boolean

SQL 仮想マシンでのバックアップの暗号化を有効または無効にします。

fullBackupFrequency

FullBackupFrequencyType

完全バックアップの頻度。 どちらの場合も、完全バックアップは次のスケジュールされた時間枠の間に開始されます。

fullBackupStartTime

integer (int32)

完全バックアップを実行できる特定の日の開始時刻。 0 ~ 23 時間。

fullBackupWindowHours

integer (int32)

完全バックアップを実行できる特定の日の時間枠の期間。 1 ~ 23 時間。

logBackupFrequency

integer (int32)

ログ バックアップの頻度。 5 ~ 60 分。

password

string

バックアップ時の暗号化のパスワード。

retentionPeriod

integer (int32)

バックアップの保持期間: 1 ~ 90 日。

storageAccessKey

string

バックアップの保存先となるストレージ アカウント キー。

storageAccountUrl

string

バックアップの保存先となるストレージ アカウントの URL。

storageContainerName

string

バックアップの保存先となるストレージ コンテナー名。

AutoPatchingSettings

Windows と SQL のパッチが適用される修正プログラムの適用ウィンドウを設定します。

名前 規定値 説明
additionalVmPatch

AdditionalVmPatch

NotSet

SQL 仮想マシンで有効または有効にする追加の修正プログラム。

dayOfWeek

DayOfWeek

パッチを適用する曜日。

enable

boolean

SQL 仮想マシンで自動パッチを有効または無効にします。

maintenanceWindowDuration

integer (int32)

修正プログラムの適用期間。

maintenanceWindowStartingHour

integer (int32)

修正プログラムの適用が開始される 1 日の時間。 ローカル VM 時刻。

BackupScheduleType

バックアップ スケジュールの種類。

説明
Manual
Automated

ConnectivityType

SQL Server 接続オプション。

説明
LOCAL
PRIVATE
PUBLIC

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

DayOfWeek

パッチを適用する曜日。

説明
Everyday
Monday
Tuesday
Wednesday
Thursday
Friday
Saturday
Sunday

DiskConfigurationType

SQL Server に適用するディスク構成。

説明
NEW
EXTEND
ADD

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

FullBackupFrequencyType

完全バックアップの頻度。 どちらの場合も、完全バックアップは次のスケジュールされた時間枠の間に開始されます。

説明
Daily
Weekly

IdentityType

ID の種類。 リソースの Azure Active Directory プリンシパルを自動的に作成して割り当てるには、これを "SystemAssigned" に設定します。

説明
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

KeyVaultCredentialSettings

Azure Key Vault サービスに接続できるように SQL 仮想マシンを構成します。

名前 説明
azureKeyVaultUrl

string

Azure Key Vault の URL。

credentialName

string

資格情報の名前。

enable

boolean

キー コンテナーの資格情報設定を有効または無効にします。

servicePrincipalName

string

キー コンテナーにアクセスするためのサービス プリンシパル名。

servicePrincipalSecret

string

キー コンテナーにアクセスするためのサービス プリンシパル名シークレット。

LeastPrivilegeMode

SQL IaaS Agent の最小特権モード。

説明
Enabled
NotSet

OsType

現在の SQL 仮想マシンのオペレーティング システム。

説明
Windows
Linux

ResourceIdentity

リソースの Azure Active Directory ID 構成。

名前 説明
principalId

string (uuid)

Azure Active Directory プリンシパル ID。

tenantId

string (uuid)

Azure Active Directory テナント ID。

type

IdentityType

ID の種類。 リソースの Azure Active Directory プリンシパルを自動的に作成して割り当てるには、これを "SystemAssigned" に設定します。

Schedule

SQL Server の評価スケジュールを設定します。

名前 説明
dayOfWeek

AssessmentDayOfWeek

評価を実行する曜日。

enable

boolean

SQL 仮想マシンの評価スケジュールを有効または無効にします。

monthlyOccurrence

integer (int32)

評価をスケジュールする 1 か月以内の DayOfWeek 日の発生。 1、2、3、4、-1 の値を受け取ります。 月の最後の DayOfWeek 日に -1 を使用する

startTime

string

HH:mm 形式の時刻。例えば。17:30

weeklyInterval

integer (int32)

2 つの評価実行の間にスケジュールする週数。 1 から 6 の値を受け取ります

ServerConfigurationsManagementSettings

接続、ストレージ、ワークロードの設定を行います。

名前 説明
additionalFeaturesServerConfigurations

AdditionalFeaturesServerConfigurations

その他の SQL 機能の設定。

azureAdAuthenticationSettings

AADAuthenticationSettings

Azure AD 認証の設定。

sqlConnectivityUpdateSettings

SqlConnectivityUpdateSettings

SQL 接続の種類の設定。

sqlInstanceSettings

SQLInstanceSettings

SQL インスタンスの設定。

sqlStorageUpdateSettings

SqlStorageUpdateSettings

SQL ストレージの更新設定。

sqlWorkloadTypeUpdateSettings

SqlWorkloadTypeUpdateSettings

SQL ワークロードの種類の設定。

SqlConnectivityUpdateSettings

SQL Server のアクセス レベルとネットワーク ポートの設定を設定します。

名前 説明
connectivityType

ConnectivityType

SQL Server 接続オプション。

port

integer (int32)

SQL Server ポート。

sqlAuthUpdatePassword

string

SQL Server sysadmin ログイン パスワード。

sqlAuthUpdateUserName

string

作成する SQL Server sysadmin ログイン。

SqlImageSku

SQL Server エディションの種類。

説明
Developer
Express
Standard
Enterprise
Web

SQLInstanceSettings

SQL Server のサーバー/インスタンス レベルの設定を行います。

名前 説明
collation

string

SQL Server 照合順序。

isIfiEnabled

boolean

SQL Server IFI。

isLpimEnabled

boolean

SQL Server LPIM。

isOptimizeForAdHocWorkloadsEnabled

boolean

アドホック ワークロード用の SQL Server Optimize。

maxDop

integer (int32)

SQL Server MAXDOP。

maxServerMemoryMB

integer (int32)

SQL Server の最大メモリ。

minServerMemoryMB

integer (int32)

SQL Server の最小メモリ。

SqlManagementMode

SQL Server 管理の種類。 注: このパラメーターは使用されなくなりました。 API は Sql Management を自動的に検出し、使用しないようにします。

説明
Full
LightWeight
NoAgent

SqlServerLicenseType

SQL Server ライセンスの種類。

説明
PAYG
AHUB
DR

SQLStorageSettings

SQL Server のディスク ストレージ設定を設定します。

名前 説明
defaultFilePath

string

SQL Server の既定のファイル パス

luns

integer[] (int32)

ディスクの論理ユニット番号。

useStoragePool

boolean

記憶域プールを使用してドライブをビルドする (true または指定されていない場合)

SqlStorageUpdateSettings

SQL Server のディスク ストレージ設定を設定します。

名前 説明
diskConfigurationType

DiskConfigurationType

SQL Server に適用するディスク構成。

diskCount

integer (int32)

仮想マシンのディスク数。

startingDeviceId

integer (int32)

更新する最初のディスクのデバイス ID。

SQLTempDbSettings

SQL Server の tempDb ストレージ設定を設定します。

名前 説明
dataFileCount

integer (int32)

SQL Server tempdb データ ファイルの数

dataFileSize

integer (int32)

SQL Server tempdb データ ファイルのサイズ

dataGrowth

integer (int32)

SQL Server tempdb データ ファイルの自動拡張サイズ

defaultFilePath

string

SQL Server の既定のファイル パス

logFileSize

integer (int32)

SQL Server tempdb ログ ファイルのサイズ

logGrowth

integer (int32)

SQL Server tempdb ログ ファイルの自動拡張サイズ

luns

integer[] (int32)

ディスクの論理ユニット番号。

persistFolder

boolean

SQL Server tempdb の保存フォルダーの選択

persistFolderPath

string

SQL Server tempdb の保存フォルダーの場所

useStoragePool

boolean

記憶域プールを使用してドライブをビルドする (true または指定されていない場合)

SqlVirtualMachine

SQL 仮想マシン。

名前 規定値 説明
id

string

リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

identity

ResourceIdentity

使用しないでください。 この値は非推奨になります。 サーバーの Azure Active Directory ID。

location

string

リソースが存在する地理的な場所

name

string

リソースの名前

properties.additionalVmPatch

AdditionalOsPatch

仮想マシンで有効になっている追加の VM 修正プログラム適用ソリューション

properties.assessmentSettings

AssessmentSettings

SQL のベスト プラクティスの評価の設定。

properties.autoBackupSettings

AutoBackupSettings

SQL Server の自動バックアップ設定。

properties.autoPatchingSettings

AutoPatchingSettings

SQL 仮想マシンに重要なセキュリティ更新プログラムを適用するための自動修正プログラムの設定。

properties.enableAutomaticUpgrade

boolean

False

Sql IaaS 拡張機能エージェントの自動アップグレードを有効にします。

properties.keyVaultCredentialSettings

KeyVaultCredentialSettings

キー コンテナーの資格情報の設定。

properties.leastPrivilegeMode

LeastPrivilegeMode

NotSet

SQL IaaS Agent の最小特権モード。

properties.osType

OsType

現在の SQL 仮想マシンのオペレーティング システム。

properties.provisioningState

string

非同期操作の状態を追跡するためのプロビジョニング状態。

properties.serverConfigurationsManagementSettings

ServerConfigurationsManagementSettings

SQL Server の構成管理設定。

properties.sqlImageOffer

string

SQL イメージ オファー。 例としては、SQL2016-WS2016、SQL2017-WS2016 などがあります。

properties.sqlImageSku

SqlImageSku

SQL Server エディションの種類。

properties.sqlManagement

SqlManagementMode

SQL Server 管理の種類。 注: このパラメーターは使用されなくなりました。 API は Sql Management を自動的に検出し、使用しないようにします。

properties.sqlServerLicenseType

SqlServerLicenseType

SQL Server ライセンスの種類。

properties.sqlVirtualMachineGroupResourceId

string

この SQL 仮想マシンが属しているか、その一部となる SQL 仮想マシン グループの ARM リソース ID。

properties.storageConfigurationSettings

StorageConfigurationSettings

ストレージ構成設定。

properties.troubleshootingStatus

TroubleshootingStatus

トラブルシューティングの状態

properties.virtualMachineIdentitySettings

VirtualMachineIdentity

Sql IaaS 拡張機能の構成に使用される仮想マシン ID の詳細。

properties.virtualMachineResourceId

string

SQL Marketplace イメージから作成された基になる仮想マシンの ARM リソース ID。

properties.wsfcDomainCredentials

WsfcDomainCredentials

SQL 可用性グループの Windows Server フェールオーバー クラスターを設定するためのドメイン資格情報。

properties.wsfcStaticIp

string

SQL 可用性グループの Windows Server フェールオーバー クラスターを設定するためのドメイン資格情報。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

tags

object

リソース タグ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

SqlWorkloadType

SQL Server ワークロードの種類。

説明
GENERAL
OLTP
DW

SqlWorkloadTypeUpdateSettings

SQL Server のストレージを最適化するようにワークロードの種類を設定します。

名前 説明
sqlWorkloadType

SqlWorkloadType

SQL Server ワークロードの種類。

StorageConfigurationSettings

SQL データ、ログ、および TempDb のストレージ構成。

名前 規定値 説明
diskConfigurationType

DiskConfigurationType

SQL Server に適用するディスク構成。

enableStorageConfigBlade

boolean

False

Azure Portal で SQL IaaS Agent ストレージ構成ブレードを有効にします。

sqlDataSettings

SQLStorageSettings

SQL Server データ ストレージの設定。

sqlLogSettings

SQLStorageSettings

SQL Server ログ ストレージの設定。

sqlSystemDbOnDataDisk

boolean

True の場合、DataPool 上の SQL Server SystemDb ストレージ。

sqlTempDbSettings

SQLTempDbSettings

SQL Server TempDb ストレージの設定。

storageWorkloadType

StorageWorkloadType

ストレージ ワークロードの種類。

StorageWorkloadType

ストレージ ワークロードの種類。

説明
GENERAL
OLTP
DW

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。

TroubleshootingAdditionalProperties

SQL VM の追加プロパティのトラブルシューティング。

名前 説明
unhealthyReplicaInfo

UnhealthyReplicaInfo

異常なレプリカ情報

TroubleshootingScenario

SQL VM のトラブルシューティング シナリオ。

説明
UnhealthyReplica

TroubleshootingStatus

この SQL VM での最後のトラブルシューティング操作の状態

名前 規定値 説明
endTimeUtc

string (date-time)

終了時刻 (UTC タイムゾーン)。

lastTriggerTimeUtc

string (date-time)

UTC タイムゾーンでの最後のトラブルシューティング トリガー時刻

properties

TroubleshootingAdditionalProperties

プロパティのトラブルシューティング

rootCause

string

問題の根本原因

startTimeUtc

string (date-time)

UTC タイムゾーンでの開始時刻。

troubleshootingScenario

TroubleshootingScenario

UnhealthyReplica

SQL VM のトラブルシューティング シナリオ。

UnhealthyReplicaInfo

SQL VM の UnhealthyReplica シナリオ情報のトラブルシューティング。

名前 説明
availabilityGroupName

string

可用性グループの名前

VirtualMachineIdentity

Sql IaaS 拡張機能の構成に使用される仮想マシン ID の詳細。

名前 説明
resourceId

string (arm-id)

ID の ARM リソース ID。 UserAssigned ID が選択されている場合にのみ必要です。

type

VmIdentityType

仮想マシンの ID の種類。 マネージド ID をオプトアウトするには、[なし] を指定します。

VmIdentityType

仮想マシンの ID の種類。 マネージド ID をオプトアウトするには、[なし] を指定します。

説明
None
SystemAssigned
UserAssigned

WsfcDomainCredentials

SQL 可用性グループの Windows Server フェールオーバー クラスターを設定するためのドメイン資格情報。

名前 説明
clusterBootstrapAccountPassword

string

クラスター ブートストラップ アカウントのパスワード。

clusterOperatorAccountPassword

string

クラスター オペレーター アカウントのパスワード。

sqlServiceAccountPassword

string

SQL サービス アカウントのパスワード。